API Access
All operations require authentication.
Retrieve all credentialsProduction
Query parameters
Filter by applicationId
Filter by status
expiredpendingValidationrefusedvalidatedResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ credential \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve information about a credentialProduction
Path parameters
Credential ID
Response
If defined, list of ip blocks which are allowed to call API with this credential
ID of associated API Application
Creation date of this credential
ID of this credential
Expiration date of this credential
Last use date of this credential
States whether this credential has been created by yourself or by the OVH support team
API routes allowed to this credential
State of to this credential
expiredpendingValidationrefusedvalidatedExample uses credentialId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ credential/ {credentialId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedIPs": [ "192.0.2.0/24" ], "applicationId": 0, "creation": "2024-01-01T12:00:00Z", "credentialId": 0, "expiration": "2024-01-01T12:00:00Z", "lastUse": "2024-01-01T12:00:00Z", "ovhSupport": true, "rules": [ { "method": "DELETE", "path": "string" } ], "status": "expired"}
Edit a credentialProduction
Path parameters
Credential ID
Request body (required)
If defined, list of ip blocks which are allowed to call API with this credential
ID of associated API Application
Creation date of this credential
ID of this credential
Expiration date of this credential
Last use date of this credential
States whether this credential has been created by yourself or by the OVH support team
API routes allowed to this credential
State of to this credential
expiredpendingValidationrefusedvalidatedResponse
Example uses credentialId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ credential/ {credentialId} \
-H "authorization: Bearer $OVH_TOKEN"Delete a credentialProduction
Path parameters
Credential ID
Response
Example uses credentialId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ credential/ {credentialId} \
-H "authorization: Bearer $OVH_TOKEN"Get associated applicationProduction
Path parameters
Credential ID
Response
ID of this Application
Key of this application
Description of this application
Name of this application
Status of this application
activeblockedinactivetrustedExample uses credentialId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ credential/ {credentialId}/ application \
-H "authorization: Bearer $OVH_TOKEN"{ "applicationId": 0, "applicationKey": "string", "description": "string", "name": "string", "status": "active"}